--- old/usr/src/uts/common/fs/zfs/zio_inject.c	2014-07-28 07:44:24.252565762 -0400
+++ new/usr/src/uts/common/fs/zfs/zio_inject.c	2014-07-28 07:44:24.258380392 -0400
@@ -426,7 +426,7 @@
 		handler->zi_spa = spa;
 		handler->zi_record = *record;
 		list_insert_tail(&inject_handlers, handler);
-		atomic_add_32(&zio_injection_enabled, 1);
+		atomic_inc_32(&zio_injection_enabled);
 
 		rw_exit(&inject_lock);
 	}
@@ -503,7 +503,7 @@
 
 	spa_inject_delref(handler->zi_spa);
 	kmem_free(handler, sizeof (inject_handler_t));
-	atomic_add_32(&zio_injection_enabled, -1);
+	atomic_dec_32(&zio_injection_enabled);
 
 	return (0);
 }
